- defaults:
    link:
      relink: true
      create: true

- clean: ['~']
- link:
    ~/.config/alacritty/alacritty.toml:
      path: alacritty/alacritty.toml

    ~/.config/alacritty/alacritty.toml:
      if: '[ `hostname` = esancakt-mac.roam.internal ]'
      path: alacritty/alacritty.gmac.toml

    ~/.config/alacritty/themes:
      path: alacritty/themes


## Shell Stuff
    ~/.tmux.conf:
      if: '`command -v tmux >/dev/null 2>&1`'
      path: tmux/tmux.conf

    ~/.aliasrc:
      path: shell/aliasrc

  ## Bash
    ~/.bashrc:
      if: '[ $SHELL == "/bin/bash" ]'
      path: bash/bashrc

    ~/.bash_profile:
      if: '[ $SHELL == "/bin/bash" ]'
      path: bash/bash_profile

    ~/.bash_completion.d:
      if: '[ $SHELL == "/bin/bash" ]'
      path: bash/bash_completion.d


  ## Zsh
    ~/.zshrc:
      if: '[ $SHELL == "/bin/zsh" ]'
      path: zsh/zshrc
    ~/.zprofile:
      if: '[ $SHELL == "/bin/zsh" ]'
      path: zsh/zprofile

  ## Git
    ~/.git:
      if: '`command -v git >/dev/null 2>&1`'
      path: git


  ## Google
    ~/.google_rc:
      if: 'env | grep -q google'
      path: google/google_rc

# - create:
#     - ~/downloads
#     - ~/.vim/undo-history

# - shell:
#   - [git submodule update --init --recursive, Installing submodules]
